import arcpy
import arcpy.management as man
# arcpy.env.workspace = "S:/Ideiglenes/bevprog/adatok" # én inkább mindent átmásoltam ide

arcpy.env.overwriteOutput = True
man.Copy(in_data = "varosok.shp", out_data = "varosok_uj.shp")
man.AddField(in_table = "varosok_uj.shp", field_name = "alak", field_type = "FLOAT")
man.CalculateField(in_table = "varosok_uj.shp", field = "alak", expression = "[area] / [perimeter]")
man.DeleteField(in_table = "varosok_uj.shp", drop_field = "id2")
vetulet = arcpy.Describe("pilis_dem.tif").spatialReference
man.Project(in_dataset = "folyok.shp", out_dataset = "folyok_uj.shp", out_coor_system = vetulet)
man.MakeFeatureLayer(in_features = "varosok_uj.shp", out_layer = "varosok_retegkent")
