import arcpy
import arcpy.management as man
import arcpy.analysis as ana
# arcpy.env.workspace = "S:/Ideiglenes/bevprog/adatok" # én inkább mindent átmásoltam ide

# 21. feladatbol:
# arcpy.env.overwriteOutput = True
# man.Copy(in_data = "varosok.shp", out_data = "varosok_uj.shp")
# man.MakeFeatureLayer(in_features = "varosok_uj.shp", out_layer = "varosok_retegkent")

man.SelectLayerByAttribute(in_layer_or_view = "varosok_retegkent", selection_type = "SWITCH_SELECTION")
int(man.GetCount(in_rows = "varosok_retegkent").getOutput(0)) * 10
man.SelectLayerByAttribute(in_layer_or_view = "varosok_retegkent", selection_type = "REMOVE_FROM_SELECTION", where_clause = "\"alak\" > 100")
man.CopyFeatures(in_features = "varosok_retegkent", out_feature_class = "dundi_varosok.shp")
man.CreateRandomPoints(out_path = arcpy.env.workspace, out_name = "veletlen_pontok.shp", constraining_feature_class = "dundi_varosok.shp", number_of_points_or_field = 50)
man.MakeFeatureLayer(in_features = "folyok_uj.shp", out_layer = "folyok_retegkent")
man.SelectLayerByLocation(in_layer = "folyok_retegkent", overlap_type = "INTERSECT", select_features = "varosok_retegkent", search_distance = "5 Kilometers", selection_type = "NEW_SELECTION")
man.SelectLayerByAttribute(in_layer_or_view = "folyok_retegkent", selection_type = "SUBSET_SELECTION", where_clause = "\"name\" = 'Bajna-patak'")
man.SelectLayerByAttribute(in_layer_or_view = "varosok_retegkent", selection_type = "CLEAR_SELECTION")
ana.Buffer(in_features = "folyok_retegkent", out_feature_class = "folyopuffer.shp", buffer_distance_or_field = "7500 Meters")
ana.Intersect(in_features = ["folyopuffer.shp", "varosok_uj.shp"], out_feature_class = "folyo_varos_metszet.shp")
